[PC-BSD Commits] r1122 - in pbibuild/modules/vsftpd: . kmenu-dir overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Wed Jan 9 14:45:26 PST 2008
Author: gonzalo
Date: 2008-01-09 14:45:26 -0800 (Wed, 09 Jan 2008)
New Revision: 1122
Modified:
pbibuild/modules/vsftpd/build.sh
pbibuild/modules/vsftpd/kmenu-dir/anondir
pbibuild/modules/vsftpd/kmenu-dir/vsftpdcfg
pbibuild/modules/vsftpd/kmenu-dir/vsftpdstart
pbibuild/modules/vsftpd/kmenu-dir/vsftpdstop
pbibuild/modules/vsftpd/overlay-dir/PBI.FirstRun.sh
pbibuild/modules/vsftpd/overlay-dir/PBI.RemoveScript.sh
pbibuild/modules/vsftpd/overlay-dir/PBI.SetupScript.sh
pbibuild/modules/vsftpd/pbi.conf
Log:
vsftpd fixed
Modified: pbibuild/modules/vsftpd/build.sh
===================================================================
--- pbibuild/modules/vsftpd/build.sh 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/build.sh 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,15 +1,15 @@
-#!/bin/sh
-# PBI building script
-# This will run after your port build is complete
-# Build your PBI here, and exit 0 on success, or exit 1 on failure.
-##############################################################################
-# Available Variables
-# PBIDIR = The location of where you can populate your PBI directory
-# MODULEDIR = The location of the module directory for this PBI
-# PORTVER = Version number of the port we used to build
-##############################################################################
-
-# Save the right version number in the removepbi.sh script
-sed -e "s,CHANGEME,vsftpd${PORTVER},g" ${PBIDIR}/scripts/removepbi.sh > /tmp/removepbi.sh
-mv /tmp/removepbi.sh ${PBIDIR}/removepbi.sh
-chmod 755 ${PBIDIR}/removepbi.sh
+#!/bin/sh
+# PBI building script
+# This will run after your port build is complete
+# Build your PBI here, and exit 0 on success, or exit 1 on failure.
+##############################################################################
+# Available Variables
+# PBIDIR = The location of where you can populate your PBI directory
+# MODULEDIR = The location of the module directory for this PBI
+# PORTVER = Version number of the port we used to build
+##############################################################################
+
+# Save the right version number in the removepbi.sh script
+sed -e "s,CHANGEME,vsftpd${PORTVER},g" ${PBIDIR}/scripts/removepbi.sh > /tmp/removepbi.sh
+mv /tmp/removepbi.sh ${PBIDIR}/removepbi.sh
+chmod 755 ${PBIDIR}/removepbi.sh
Modified: pbibuild/modules/vsftpd/kmenu-dir/anondir
===================================================================
--- pbibuild/modules/vsftpd/kmenu-dir/anondir 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/kmenu-dir/anondir 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,13 +1,13 @@
-ExePath: AnonDir
-ExeIcon: folder_grey.png
-ExeDescr: Anonymous folder
-ExeNoDesktop: 0
-ExeNoMenu: 0
-ExeRunRoot: 0
-ExeRunShell: 0
-ExeNotify: 1
-ExeLink: 0
-ExeWebLink: 0
-ExeTaskbar: 0
-ExeOwndir: 1
-ExeKdeCat: Internet
+ExePath: AnonDir
+ExeIcon: folder_grey.png
+ExeDescr: Anonymous folder
+ExeNoDesktop: 0
+ExeNoMenu: 0
+ExeRunRoot: 0
+ExeRunShell: 0
+ExeNotify: 1
+ExeLink: 0
+ExeWebLink: 0
+ExeTaskbar: 0
+ExeOwndir: 1
+ExeKdeCat: Internet
Modified: pbibuild/modules/vsftpd/kmenu-dir/vsftpdcfg
===================================================================
--- pbibuild/modules/vsftpd/kmenu-dir/vsftpdcfg 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/kmenu-dir/vsftpdcfg 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,13 +1,13 @@
-ExePath: vsftpdcfg
-ExeIcon: package_utilities.png
-ExeDescr: vsftpd (config)
-ExeNoDesktop: 0
-ExeNoMenu: 0
-ExeRunRoot: 0
-ExeRunShell: 0
-ExeNotify: 1
-ExeLink: 0
-ExeWebLink: 0
-ExeTaskbar: 0
-ExeOwndir: 1
-ExeKdeCat: Internet
+ExePath: vsftpdcfg
+ExeIcon: package_utilities.png
+ExeDescr: vsftpd (config)
+ExeNoDesktop: 0
+ExeNoMenu: 0
+ExeRunRoot: 0
+ExeRunShell: 0
+ExeNotify: 1
+ExeLink: 0
+ExeWebLink: 0
+ExeTaskbar: 0
+ExeOwndir: 1
+ExeKdeCat: Internet
Modified: pbibuild/modules/vsftpd/kmenu-dir/vsftpdstart
===================================================================
--- pbibuild/modules/vsftpd/kmenu-dir/vsftpdstart 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/kmenu-dir/vsftpdstart 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,13 +1,13 @@
-ExePath: vsftpdstart
-ExeIcon: ICONSTART.png
-ExeDescr: vsftpd (start)
-ExeNoDesktop: 0
-ExeNoMenu: 0
-ExeRunRoot: 0
-ExeRunShell: 0
-ExeNotify: 1
-ExeLink: 0
-ExeWebLink: 0
-ExeTaskbar: 0
-ExeOwndir: 1
-ExeKdeCat: Internet
+ExePath: vsftpdstart
+ExeIcon: ICONSTART.png
+ExeDescr: vsftpd (start)
+ExeNoDesktop: 0
+ExeNoMenu: 0
+ExeRunRoot: 0
+ExeRunShell: 0
+ExeNotify: 1
+ExeLink: 0
+ExeWebLink: 0
+ExeTaskbar: 0
+ExeOwndir: 1
+ExeKdeCat: Internet
Modified: pbibuild/modules/vsftpd/kmenu-dir/vsftpdstop
===================================================================
--- pbibuild/modules/vsftpd/kmenu-dir/vsftpdstop 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/kmenu-dir/vsftpdstop 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,13 +1,13 @@
-ExePath: vsftpdstop
-ExeIcon: ICONSTOP.png
-ExeDescr: vsftpd (stop)
-ExeNoDesktop: 0
-ExeNoMenu: 0
-ExeRunRoot: 0
-ExeRunShell: 0
-ExeNotify: 1
-ExeLink: 0
-ExeWebLink: 0
-ExeTaskbar: 0
-ExeOwndir: 1
-ExeKdeCat: Internet
+ExePath: vsftpdstop
+ExeIcon: ICONSTOP.png
+ExeDescr: vsftpd (stop)
+ExeNoDesktop: 0
+ExeNoMenu: 0
+ExeRunRoot: 0
+ExeRunShell: 0
+ExeNotify: 1
+ExeLink: 0
+ExeWebLink: 0
+ExeTaskbar: 0
+ExeOwndir: 1
+ExeKdeCat: Internet
Modified: pbibuild/modules/vsftpd/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/vsftpd/overlay-dir/PBI.FirstRun.sh 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/overlay-dir/PBI.FirstRun.sh 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,48 +1,48 @@
-#!/bin/sh
-# Filename: PBI.FirstRun.sh
-# Place any custom installation code here.
-# This script will be run before your program is extracted into
-# /Programs/<ProgNameVer>/
-# Available variables:
-# $PROGDIR - Directory where the files will be extracted to.
-# $USERNAME - Username of who started the installation.
-# $INSTALLMODE - Set to 'TEXT' or 'GUI', depending on which installer is running.
-#
-# Return a '2' to halt the PBI installation
-# TIP: 'kdialog' should be used for user interaction.
-# To interact with the progress dialog echo these flags:
-# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
-# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
-# echo 'MSG: <text>' # Display this text above progress bar
-#########################################
-
-
-if [ -e "/usr/local/bin/kasablanca" ]
-then
- # Looks like FF is installed, ask if they want to remove the old one
- ls -al /usr/local/bin/kasablanca | grep Programs 2>/dev/null
- if [ "$?" = "0" ]
- then
- kdialog --yesno "Kasablanca is already installed, do you wish to uninstall it?"
- if [ "$?" = "0" ]
- then
- FF="`ls -al /usr/local/bin/kasablanca | cut -d '>' -f 2 | cut -d "/" -f 3`"
- echo $FF | grep Kasablanca 2>/dev/null
- if [ "$?" = "0" ]
- then
- PBIdelete -remove ${FF}
- else
- kdialog --sorry "Kasablanca could not be automatically removed... Please remove it in Add / Remove Programs and try again."
- return 2
- fi
- else
- kdialog --sorry "Kasablanca is already installed, it must be uninstalled before loading this PBI"
- return 2
- fi
-
- else
- # Could not find a link to PBI folder
- kdialog --sorry "Kasablanca is already installed, it must be uninstalled before loading this PBI"
- return 2
- fi
-fi
+#!/bin/sh
+# Filename: PBI.FirstRun.sh
+# Place any custom installation code here.
+# This script will be run before your program is extracted into
+# /Programs/<ProgNameVer>/
+# Available variables:
+# $PROGDIR - Directory where the files will be extracted to.
+# $USERNAME - Username of who started the installation.
+# $INSTALLMODE - Set to 'TEXT' or 'GUI', depending on which installer is running.
+#
+# Return a '2' to halt the PBI installation
+# TIP: 'kdialog' should be used for user interaction.
+# To interact with the progress dialog echo these flags:
+# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
+# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
+# echo 'MSG: <text>' # Display this text above progress bar
+#########################################
+
+
+if [ -e "/usr/local/bin/vsftpdstart" ]
+then
+ # Looks like FF is installed, ask if they want to remove the old one
+ ls -al /usr/local/bin/vsftpdstart | grep Programs 2>/dev/null
+ if [ "$?" = "0" ]
+ then
+ kdialog --yesno "vsftpd is already installed, do you wish to uninstall it?"
+ if [ "$?" = "0" ]
+ then
+ FF="`ls -al /usr/local/bin/vsftpdstart | cut -d '>' -f 2 | cut -d "/" -f 3`"
+ echo $FF | grep vsftpd 2>/dev/null
+ if [ "$?" = "0" ]
+ then
+ PBIdelete -remove ${FF}
+ else
+ kdialog --sorry "vsftpd could not be automatically removed... Please remove it in Add / Remove Programs and try again."
+ return 2
+ fi
+ else
+ kdialog --sorry "vsftpd is already installed, it must be uninstalled before loading this PBI"
+ return 2
+ fi
+
+ else
+ # Could not find a link to PBI folder
+ kdialog --sorry "vsftpd is already installed, it must be uninstalled before loading this PBI"
+ return 2
+ fi
+fi
Modified: pbibuild/modules/vsftpd/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/vsftpd/overlay-dir/PBI.RemoveScript.sh 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/overlay-dir/PBI.RemoveScript.sh 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,15 +1,18 @@
-#!/bin/sh
-# Filename: PBI.RemoveScript.sh
-# Place any custom removal code here.
-# This script will be run before your program is deleted.
-# ${1} is the directory name.
-# ${2} is the username of person performing the deletion.
-# TIP: 'kdialog' should be used for user interaction.
-#########################################
-rm -fR /usr/local/libexec/vsftpd
-rm -fR /usr/local/man/man5/vsftpd.conf.5.gz
-rm -fR /usr/local/man/man8/vsftpd.8.gz
-rm -fR /usr/local/share/doc/vsftpd
-rm -fR /usr/local/etc/vsftpd.conf.dist
-rm -fR /usr/local/etc/vsftpd.conf
-rm -fR /usr/local/share/vsftpd
+#!/bin/sh
+# Filename: PBI.RemoveScript.sh
+# Place any custom removal code here.
+# This script will be run before your program is deleted.
+# ${1} is the directory name.
+# ${2} is the username of person performing the deletion.
+# TIP: 'kdialog' should be used for user interaction.
+#########################################
+rm -fR /usr/local/libexec/vsftpd
+rm -fR /usr/local/man/man5/vsftpd.conf.5.gz
+rm -fR /usr/local/man/man8/vsftpd.8.gz
+rm -fR /usr/local/share/doc/vsftpd
+rm -fR /usr/local/etc/vsftpd.conf.dist
+rm -fR /usr/local/etc/vsftpd.conf
+rm -fR /usr/local/share/vsftpd
+rm -fR /usr/local/bin/vsftpdstart
+rm -fR /usr/local/bin/vsftpdstop
+rm -fR /usr/local/bin/vsftpdcfg
\ No newline at end of file
Modified: pbibuild/modules/vsftpd/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/vsftpd/overlay-dir/PBI.SetupScript.sh 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/overlay-dir/PBI.SetupScript.sh 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,47 +1,50 @@
-#!/bin/sh
-# Filename: PBI.SetupScript.sh
-# Place any custom installation code here.
-# This script will be run after your program is extracted into
-# /Programs/<ProgNameVer>/
-# Available variables:
-# $PROGDIR - Directory where the files will be extracted to.
-# $USERNAME - Username of who started the installation.
-# $INSTALLMODE - Set to 'TEXT' or 'GUI', depending on which installer is running.
-#
-# TIP: 'kdialog' should be used for user interaction.
-# To interact with the progress dialog echo these flags:
-# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
-# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
-# echo 'MSG: <text>' # Display this text above progress bar
-#########################################
-cp /Programs/${PROGDIR}/vsftpd /usr/local/libexec/vsftpd
-ln -s /Programs/${PROGDIR}/man/man5/vsftpd.conf.5.gz /usr/local/man/man5/vsftpd.conf.5.gz
-ln -s /Programs/${PROGDIR}/man/man8/vsftpd.8.gz /usr/local/man/man8/vsftpd.8.gz
-ln -s /Programs/${PROGDIR}/share/doc/vsftpd /usr/local/share/doc/vsftpd
-ln -s /Programs/${PROGDIR}/vsftpd.conf.dist /usr/local/etc/vsftpd.conf.dist
-ln -s /Programs/${PROGDIR}/vsftpd.conf /usr/local/etc/vsftpd.conf
-mkdir /usr/local/share/vsftpd
-mkdir /usr/local/share/vsftpd/empty
-USERS=$(kdialog --title "vsftp Server" --menu "vsftpd will be used by :" a "Anonymous Users ONLY" b "Local Users ONLY" c "Anonymous and Local Users")
-if [ "$?" = "0" ]
-then
- if [ "$USERS" = "a" ]
- then
- sed 's/anonymous_enable=NO/anonymous_enable=YES/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
- sed 's/local_enable=YES/local_enable=NO/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
- sh vsftpdanon
- fi
- if [ "$USERS" = "b" ]
- then
- sed 's/anonymous_enable=YES/anonymous_enable=NO/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
- sed 's/local_enable=NO/local_enable=YES/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
- fi
- if [ "$USERS" = "c" ]
- then
- sed 's/anonymous_enable=NO/anonymous_enable=YES/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
- sed 's/local_enable=NO/local_enable=YES/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
- sh vsftpdanon
- fi
-else
-kdialog --title "vsftpd Server" --msgbox "No User specified. You will need to modify the vsftpd.conf"
-fi
+#!/bin/sh
+# Filename: PBI.SetupScript.sh
+# Place any custom installation code here.
+# This script will be run after your program is extracted into
+# /Programs/<ProgNameVer>/
+# Available variables:
+# $PROGDIR - Directory where the files will be extracted to.
+# $USERNAME - Username of who started the installation.
+# $INSTALLMODE - Set to 'TEXT' or 'GUI', depending on which installer is running.
+#
+# TIP: 'kdialog' should be used for user interaction.
+# To interact with the progress dialog echo these flags:
+# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
+# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
+# echo 'MSG: <text>' # Display this text above progress bar
+#########################################
+cp /Programs/${PROGDIR}/vsftpd /usr/local/libexec/vsftpd
+ln -s /Programs/${PROGDIR}/man/man5/vsftpd.conf.5.gz /usr/local/man/man5/vsftpd.conf.5.gz
+ln -s /Programs/${PROGDIR}/man/man8/vsftpd.8.gz /usr/local/man/man8/vsftpd.8.gz
+ln -s /Programs/${PROGDIR}/share/doc/vsftpd /usr/local/share/doc/vsftpd
+ln -s /Programs/${PROGDIR}/vsftpd.conf.dist /usr/local/etc/vsftpd.conf.dist
+ln -s /Programs/${PROGDIR}/vsftpd.conf /usr/local/etc/vsftpd.conf
+ln -s /Programs/${PROGDIR}/vsftpdstart /usr/local/bin/vsftpdstart
+ln -s /Programs/${PROGDIR}/vsftpdstop /usr/local/bin/vsftpdstop
+ln -s /Programs/${PROGDIR}/vsftpdcfg /usr/local/bin/vsftpdcfg
+mkdir /usr/local/share/vsftpd
+mkdir /usr/local/share/vsftpd/empty
+USERS=$(kdialog --title "vsftp Server" --menu "vsftpd will be used by :" a "Anonymous Users ONLY" b "Local Users ONLY" c "Anonymous and Local Users")
+if [ "$?" = "0" ]
+then
+ if [ "$USERS" = "a" ]
+ then
+ sed 's/anonymous_enable=NO/anonymous_enable=YES/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
+ sed 's/local_enable=YES/local_enable=NO/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
+ sh vsftpdanon
+ fi
+ if [ "$USERS" = "b" ]
+ then
+ sed 's/anonymous_enable=YES/anonymous_enable=NO/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
+ sed 's/local_enable=NO/local_enable=YES/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
+ fi
+ if [ "$USERS" = "c" ]
+ then
+ sed 's/anonymous_enable=NO/anonymous_enable=YES/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
+ sed 's/local_enable=NO/local_enable=YES/g' vsftpd.conf > tempfile && mv -- tempfile vsftpd.conf
+ sh vsftpdanon
+ fi
+else
+kdialog --title "vsftpd Server" --msgbox "No User specified. You will need to modify the vsftpd.conf"
+fi
Modified: pbibuild/modules/vsftpd/pbi.conf
===================================================================
--- pbibuild/modules/vsftpd/pbi.conf 2008-01-09 22:23:56 UTC (rev 1121)
+++ pbibuild/modules/vsftpd/pbi.conf 2008-01-09 22:45:26 UTC (rev 1122)
@@ -1,37 +1,37 @@
-#!/bin/bash
-# PBI Building template
-# Copyright 2007 PC-BSD Software
-##############################################################################
-
-# Program Name
-PROGNAME="vsftpd"
-
-# Program Website
-PROGWEB="http://vsftpd.beasts.org/"
-
-# Program Author
-PROGAUTHOR="Chris Evans"
-
-# Default Icon (Relative to overlay-dir)
-PROGICON="ICON.png"
-
-# Port we want to build
-PBIPORT="/usr/ports/ftp/vsftpd"
-
-# Set to "Auto or NONE" to have the PBI creator auto-populate libs or not
-PROGLIBS="Auto"
-
-# PBI Update URL set to "" or the http:// URL of update checker
-PBIUPDATE="http://update.pbidir.com"
-
-# Other Ports we need built (One per line)
-OTHERPORT=""
-
-# Enter your custom make options here
-MAKEOPTS=""
-
-# Build Key - Change this to anything else to trigger a rebuild
-# - The rebuild will take place even if port is still the same ver
-BUILDKEY="01"
-
-export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
+#!/bin/bash
+# PBI Building template
+# Copyright 2007 PC-BSD Software
+##############################################################################
+
+# Program Name
+PROGNAME="vsftpd"
+
+# Program Website
+PROGWEB="http://vsftpd.beasts.org/"
+
+# Program Author
+PROGAUTHOR="Chris Evans"
+
+# Default Icon (Relative to overlay-dir)
+PROGICON="ICON.png"
+
+# Port we want to build
+PBIPORT="/usr/ports/ftp/vsftpd"
+
+# Set to "Auto or NONE" to have the PBI creator auto-populate libs or not
+PROGLIBS="Auto"
+
+# PBI Update URL set to "" or the http:// URL of update checker
+PBIUPDATE="http://update.pbidir.com"
+
+# Other Ports we need built (One per line)
+OTHERPORT=""
+
+# Enter your custom make options here
+MAKEOPTS=""
+
+# Build Key - Change this to anything else to trigger a rebuild
+# - The rebuild will take place even if port is still the same ver
+BUILDKEY="02"
+
+export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
More information about the Commits
mailing list